#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Box.H>
#include <FL/filename.H>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <stdio.h>
#include <sys/time.h>
#include <unistd.h>
#include <pwd.h>
#include <string>

#include "adif_io.h"
#include "multipsklog.h"
#include "lgbook.h"
#include "support.h"
#include "ipcdata.h"

using namespace std;
char homedir[120] = "";

void cb_Main(Fl_Widget *, void *)
{
   cleanExit();
}

int main (int argc, char *argv[])
{
	Fl_Window * window = create_main();

	fl_filename_expand(homedir, 119, "$HOME/.fl_logbook/");
	if (!fl_filename_isdir(homedir))
		mkdir( homedir, S_IRUSR | S_IWUSR | S_IXUSR);

	window->callback(cb_Main);
	window->show ();
	if (argc == 2) 
		strcpy(logfile, argv[1]);
	else {
		strcpy(logfile, homedir);
		strcat(logfile, "logbook.lgb");
	}
	
	if(qsodb.qsoReadFile(logfile) == 0)
		loadBrowser();
	qsodb.isdirty(0);

	setup_ipc_data();

	return Fl::run();
}
